package net.northking.cctp.device.dto.model;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import net.northking.cctp.device.dto.brand.CdMobileBrandDetailDto;

import java.util.Set;

@JsonSerialize
public class DeviceSelectDto {
    private Set<CdMobileBrandDetailDto> brandList;
    private Set<SystemVersionDto> versionList;
    private Set<SystemVersionDto> androidVersionList;
    private Set<SystemVersionDto> iosVersionList;
    private Set<String> resolutionList;

    public Set<CdMobileBrandDetailDto> getBrandList() {
        return brandList;
    }

    public void setBrandList(Set<CdMobileBrandDetailDto> brandList) {
        this.brandList = brandList;
    }

    public Set<SystemVersionDto> getVersionList() {
        return versionList;
    }

    public void setVersionList(Set<SystemVersionDto> versionList) {
        this.versionList = versionList;
    }

    public Set<String> getResolutionList() {
        return resolutionList;
    }

    public void setResolutionList(Set<String> resolutionList) {
        this.resolutionList = resolutionList;
    }

    public Set<SystemVersionDto> getAndroidVersionList() {
        return androidVersionList;
    }

    public void setAndroidVersionList(Set<SystemVersionDto> androidVersionList) {
        this.androidVersionList = androidVersionList;
    }

    public Set<SystemVersionDto> getIosVersionList() {
        return iosVersionList;
    }

    public void setIosVersionList(Set<SystemVersionDto> iosVersionList) {
        this.iosVersionList = iosVersionList;
    }
}
